From eb3acc276cbf4a6045bd4414afd4d767bf15194b Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@paquier.xyz>
Date: Fri, 15 Sep 2017 13:16:14 +0900
Subject: [PATCH] Simplify new test suite handling of passwordcheck

This changes the use of a custom configuration file to enforce the value
of preload_shared_libraries to simply load the library during the tests.
This removes the restriction of running installcheck on the tests, and
simplifies its makefile contrary to what has been introduced in af7211e.
---
 contrib/passwordcheck/Makefile                   | 3 ---
 contrib/passwordcheck/expected/passwordcheck.out | 2 ++
 contrib/passwordcheck/passwordcheck.conf         | 1 -
 contrib/passwordcheck/sql/passwordcheck.sql      | 3 +++
 4 files changed, 5 insertions(+), 4 deletions(-)
 delete mode 100644 contrib/passwordcheck/passwordcheck.conf

diff --git a/contrib/passwordcheck/Makefile b/contrib/passwordcheck/Makefile
index 7edc968b90..4da0b1417c 100644
--- a/contrib/passwordcheck/Makefile
+++ b/contrib/passwordcheck/Makefile
@@ -8,10 +8,7 @@ PGFILEDESC = "passwordcheck - strengthen user password checks"
 # PG_CPPFLAGS = -DUSE_CRACKLIB '-DCRACKLIB_DICTPATH="/usr/lib/cracklib_dict"'
 # SHLIB_LINK = -lcrack
 
-REGRESS_OPTS = --temp-config $(srcdir)/passwordcheck.conf
 REGRESS = passwordcheck
-# disabled because these tests require setting shared_preload_libraries
-NO_INSTALLCHECK = 1
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
diff --git a/contrib/passwordcheck/expected/passwordcheck.out b/contrib/passwordcheck/expected/passwordcheck.out
index b3515df3e8..24e239d80c 100644
--- a/contrib/passwordcheck/expected/passwordcheck.out
+++ b/contrib/passwordcheck/expected/passwordcheck.out
@@ -1,3 +1,5 @@
+-- Load the extension to validate the tests
+LOAD 'passwordcheck';
 CREATE USER regress_user1;
 -- ok
 ALTER USER regress_user1 PASSWORD 'a_nice_long_password';
diff --git a/contrib/passwordcheck/passwordcheck.conf b/contrib/passwordcheck/passwordcheck.conf
deleted file mode 100644
index f6604f3d6b..0000000000
--- a/contrib/passwordcheck/passwordcheck.conf
+++ /dev/null
@@ -1 +0,0 @@
-shared_preload_libraries = 'passwordcheck'
diff --git a/contrib/passwordcheck/sql/passwordcheck.sql b/contrib/passwordcheck/sql/passwordcheck.sql
index 59c84f522e..3329756943 100644
--- a/contrib/passwordcheck/sql/passwordcheck.sql
+++ b/contrib/passwordcheck/sql/passwordcheck.sql
@@ -1,3 +1,6 @@
+-- Load the extension to validate the tests
+LOAD 'passwordcheck';
+
 CREATE USER regress_user1;
 
 -- ok
-- 
2.14.1

